<?php

namespace Drupal\wsolution\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class ProductPageForm.
 */
abstract class WSolutionSettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    parent::submitForm($form, $form_state);
    $config_name = $this->getEditableConfigNames();
    if (!empty($config_name)) {
      $conf = $this->config(reset($config_name));
      $values = $form_state->getValues();
      if (isset($values['library'])) {
        $conf->set('library', $values['library']);
      }
      if (isset($values['wsid'])) {
        $conf->set('wsid', $values['wsid']);
      }
      if (isset($values['mode'])) {
        $conf->set('mode', $values['mode']);
      }
      if (isset($values['rest_url'])) {
        $conf->set('rest_url', $values['rest_url']);
      }

      $conf->save();
    }
  }

}
