<?php

namespace Drupal\wsolution\Vcr;

use VCR\Configuration;
use VCR\Util\Assertion;
use VCR\VCRException;

/**
 * Provides a HTTP middleware.
 */
class WSConfigurationVcr extends Configuration {

  /**
   * List of enabled storages.
   *
   * Format:
   * array(
   *  'name' => 'class name'
   * )
   * @dev need to be override cause parent is property is private.
   *
   * @var array<string, class-string> List of available storages
   */
  public $availableStorages = [
    'blackhole' => 'VCR\Storage\Blackhole'
  ];

  /**
   * Force blackhole storage.
   *
   * Objects are created in the VCRFactory.
   *
   * @return string class name of the storage to use
   * @dev need to be override cause parent is property is private.
   */
  public function getStorage(): string {
    return 'VCR\Storage\Blackhole';
  }

}
